#include "StdAfx.h"
#include "ServerAddrConfig.h"

/////////////////////////////////////////////////////
/////////////////////////////////////////////////////
////////////////////////////////////////////////////
////////////////////////////////////////////////////

#define SERVER_CONFIG               _T("ServerConfig")

#define NTALK_BANNER_URL			_T("http://biz-ntalk.ncloudbiz.com/ne/notice/ListBanner.php?userid=%s")
#define NTALK_MESSAGE_URL			_T("https://nnote.ncloudbiz.com/login/exacs.nhn?mtsSessionId=%s&defaultLanguage=%s")
#define NTALK_MAIL_URL				_T("http://nmail.ncloudbiz.com/ntalk/login?mtsSessionId=%s")
#define NHNCORP_MAIL_URL			_T("http://mail.nhncorp.com/login?mtsSessionId=%s")

//#if defined(_SERVER_VERSION_REAL)
#define NTALK_NOTICE_URL			_T("http://common-sp.ncloudbiz.com/notice/getNotice.nhn?custcoId=%s&inputId=%s&serviceId=%s&sessionId=%s&noticeSeq=%d")
#define CHANGE_NOTICE_URL			_T("common-sp.ncloudbiz.com/api/changeNotice/getChangeNoticeList.nhn")
#define CHECKUP_NOTICE_URL			_T("checkup-sp.ncloudbiz.com/api/changeNotice/getChangeNoticeNowChecking.nhn")
#define NHN_WAS_SERVER			    _T("nts-biz-ntalk.ncloudbiz.com")
#define HANATOUR_WAS_SERVER	     	_T("biz-ntalk.ncloudbiz.com")
#define HANATOUR_SERVER_IP			_T("125.209.205.72")
#define NHN_SERVER_IP				_T("125.209.205.92")
#define NTALK_CHAT_HISTORY_URL		_T("http://nnote.ncloudbiz.com/talk/viewHistory.nhn?mtsSessionId=%s&contact=%s")
#define NTALK_CHAT_URL				_T("http://nnote.ncloudbiz.com/talk/login/exacs.nhn?mtsSessionId=%s&defaultLanguage=%s")

//#elif defined(_SERVER_VERSION_STAGE)
//#define NTALK_NOTICE_URL			_T("http://staging-common-sp.ncloudbiz.com/notice/getNotice.nhn?custcoId=%s&inputId=%s&serviceId=%s&sessionId=%s&noticeSeq=%d")
//#define CHANGE_NOTICE_URL			_T("alpha-common-sp.ncloudbiz.com/api/changeNotice/getChangeNoticeList.nhn")
//#define CHECKUP_NOTICE_URL			_T("alpha-checkup-sp.ncloudbiz.com/api/changeNotice/getChangeNoticeNowChecking.nhn")
//#define NHN_WAS_SERVER			    _T("10.101.254.138")
//#define HANATOUR_WAS_SERVER	     	_T("10.101.254.138")
//#define HANATOUR_SERVER_IP			_T("10.101.254.138")
//#define NHN_SERVER_IP				_T("10.101.254.138")
//#define NTALK_CHAT_HISTORY_URL		_T("http://staging-nnote.ncloudbiz.com/talk/viewHistory.nhn?mtsSessionId=%s&contact=%s")
//#define NTALK_CHAT_URL				_T("http://staging-nnote.ncloudbiz.com/talk/login/exacs.nhn?mtsSessionId=%s&defaultLanguage=%s")
//#elif defined(_SERVER_VERSION_ALPHA)
//#define NTALK_NOTICE_URL			_T("https://alpha-common-sp.ncloudbiz.com/notice/getNotice.nhn?custcoId=%s&inputId=%s&serviceId=%s&sessionId=%s&noticeSeq=%d")
//#define CHANGE_NOTICE_URL			_T("alpha-common-sp.ncloudbiz.com/api/changeNotice/getChangeNoticeList.nhn")
//#define CHECKUP_NOTICE_URL			_T("alpha-checkup-sp.ncloudbiz.com/api/changeNotice/getChangeNoticeNowChecking.nhn")
//#define NHN_WAS_SERVER			    _T("10.101.30.25")
//#define HANATOUR_WAS_SERVER	     	_T("10.101.30.25")
//#define HANATOUR_SERVER_IP			_T("10.101.30.25")
//#define NHN_SERVER_IP				_T("10.101.30.25")
//#define NTALK_CHAT_HISTORY_URL		_T("http://alpha-nnote.ncloudbiz.com/talk/viewHistory.nhn?mtsSessionId=%s&contact=%s")
//#define NTALK_CHAT_URL				_T("http://alpha-nnote.ncloudbiz.com/talk/login/exacs.nhn?mtsSessionId=%s&defaultLanguage=%s")
//#else
//#  error must define server version
//#endif

#define	SERVER_PORT					10500
#define PORT_COUNT_FROM_10500		10

CServerAddrConfig& CServerAddrConfig::Instance()
{
    static CServerAddrConfig s_ServerConfig;
    if (!s_ServerConfig.Inited())
    {
        s_ServerConfig.LoadSetting();
    }
    return s_ServerConfig;
}

CServerAddrConfig::CServerAddrConfig(void)
{
    m_ServerType = SERVER_TYPE_REAL;
    m_bInited = FALSE;
}

CServerAddrConfig::~CServerAddrConfig(void)
{
}

BOOL CServerAddrConfig::Inited() const 
{
    return m_bInited;
}

BOOL CServerAddrConfig::LoadSetting()
{
    CWinApp* pApp = AfxGetApp();
    ASSERT(pApp);
    if (pApp)
    {
        m_bInited = TRUE;

        m_ServerType = (NtalkServerType)pApp->GetProfileInt(SERVER_CONFIG, TEXT("ServerType"), SERVER_TYPE_REAL);

        m_strBannerUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("BannerUrl"), NTALK_BANNER_URL);
        //ASSERT(m_strBannerUrl == NTALK_BANNER_URL);

        m_strMessageUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("MessageUrl"), NTALK_MESSAGE_URL);
        //ASSERT(m_strMessageUrl == NTALK_MESSAGE_URL);

        m_strNTalkMailUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("NTalkMailUrl"), NTALK_MAIL_URL);
        //ASSERT(m_strNTalkMailUrl == NTALK_MAIL_URL);

        m_strNhnCorpMailUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("NhnCorpMailUrl"), NHNCORP_MAIL_URL);
        //ASSERT(m_strNhnCorpMailUrl == NHNCORP_MAIL_URL);

        m_strNTalkNoticeUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("NTalkNoticeUrl"), NTALK_NOTICE_URL);
        //ASSERT(m_strNTalkNoticeUrl == NTALK_NOTICE_URL);

        m_strChangeNoticeUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("ChangeNoticeUrl"), CHANGE_NOTICE_URL);
        //ASSERT(m_strChangeNoticeUrl == CHANGE_NOTICE_URL);

        m_strCheckupNoticeUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("CheckupNoticeUrl"), CHECKUP_NOTICE_URL);
        //ASSERT(m_strCheckupNoticeUrl == CHECKUP_NOTICE_URL);

        m_strNhnWasServer = pApp->GetProfileString(SERVER_CONFIG, TEXT("NhnWasServer"), NHN_WAS_SERVER);
        //ASSERT(m_strNhnWasServer == NHN_WAS_SERVER);

        m_strHanatourWasServer = pApp->GetProfileString(SERVER_CONFIG, TEXT("HanatourWasServer"), HANATOUR_WAS_SERVER);
        //ASSERT(m_strHanatourWasServer == HANATOUR_WAS_SERVER);

        m_strHanatourServerIp = pApp->GetProfileString(SERVER_CONFIG, TEXT("HanatourServerIp"), HANATOUR_SERVER_IP);
        //ASSERT(m_strHanatourServerIp == HANATOUR_SERVER_IP);

        m_strNhnServerIp = pApp->GetProfileString(SERVER_CONFIG, TEXT("NhnServerIp"), NHN_SERVER_IP);
        //ASSERT(m_strNhnServerIp == NHN_SERVER_IP);

        m_strChatHistoryUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("ChatHistoryUrl"), NTALK_CHAT_HISTORY_URL);
        //ASSERT(m_strChatHistoryUrl == NTALK_CHAT_HISTORY_URL);

        m_strChatUrl = pApp->GetProfileString(SERVER_CONFIG, TEXT("ChatUrl"), NTALK_CHAT_URL);
        //ASSERT(m_strChatUrl == NTALK_CHAT_URL);

        m_nServerPort = pApp->GetProfileInt(SERVER_CONFIG, TEXT("ServerPort"), SERVER_PORT);
        //ASSERT(m_nServerPort == SERVER_PORT);

        m_nPortCount = pApp->GetProfileInt(SERVER_CONFIG, TEXT("PortCount"), PORT_COUNT_FROM_10500);
        //ASSERT(m_nPortCount == PORT_COUNT_FROM_10500);
    }

    return TRUE;
}

